Subject: bug#64795: closed (Re: bug#64795: 30.0.50; manual-entry [(1) fails)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 Jul 2023 14:32:02 +0000

Your bug report

#64795: 30.0.50; manual-entry [(1) fails

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64795: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64795
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64795: 30.0.50; manual-entry [(1) fails
From: Eli Zaretskii <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 26 Jul 2023 17:31:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  Stefan Monnier <[email-masked]>
> Date: Wed, 26 Jul 2023 05:20:30 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > I wonder however: why did you add that `shell-quote-argument' wrapper?
> > > I think there is no shell involved. [...]
> >
> > I used shell-quote-argument because it did the job, and was simple.
> > What would be the alternative? [...]
> 
> Let's go with your patch.  I'm sorry - I was just confused and didn't
> understand why the quoting was necessary.  I was missing that the string
> will me interpreted as a regexp (although it's obvious...).

Thanks, installed on master, and closing the bug.  I added a comment
there regarding the use of shell-quote-argument, for posterity.

Subject: 30.0.50; manual-entry [(1) fails
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jul 2023 02:58:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

In Gnu/Linux there is a binary named "[" in /usr/bin/, and it has a man
page I can read in a terminal using "man '[(1)'".

Requesting the man page in Emacs using `man' is broken, however:

  M-x manual-entry RET [ TAB

echoes "[No match]" - this is the first problem (the failing
completion).

C-g, let's try differently:

  M-x manual-entry RET TAB [ TAB

(that's the same as before but additionally requesting all candidates
before writing in the minibuffer) suddenly completes to "[(1)" as
expected.  But when confirming with RET the man buffer only has these
contents:

| /bin/sh: 1: Syntax error: "(" unexpected
|
| process exited abnormally with code 2

That's the second problem.

Oh, and M-x woman [ RET works as expected.

TIA,

Michael.

In GNU Emacs 30.0.50 (build 33, x86_64-pc-linux-gnu, cairo version
 1.16.0) of 2023-07-22 built on drachen
Repository revision: 4b3ab8fae12dcb403e653edeafa1d4ce1dab0187
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)